import React from 'react';
import { ITag } from './../../interfaces/ITag';
declare const TagContext: React.Context<{
    contentHeight: number;
    onDeselectTag: (...args: any[]) => void;
    onSearch: (...args: any[]) => void;
    onSuggestionClick: (...args: any[]) => void;
    onToggleSelect: (...args: any[]) => void;
    setStateTags: (...args: any[]) => void;
    setStateTagsFiltered: (...args: any[]) => void;
    showSuggestion: boolean;
    showSuggestionAvatar: boolean;
    showSuggestionInput: boolean;
    showSuggestionValue: boolean;
    showTags: boolean;
    suggestionHeight: number;
    suggestionLabel: string;
    tags: ITag[];
    tagsFiltered: ITag[];
}>;
export default TagContext;
