export interface ITag {
    avatarSrc?: string;
    color?: 'default' | 'secondary' | 'primary';
    disabled?: boolean;
    hideOnDelete?: boolean;
    id?: string;
    isHidden?: boolean;
    isSelectable?: boolean;
    isSelected?: boolean;
    label?: string;
    labelMaxLength?: number;
    onDelete?: () => void;
    showAvatar?: boolean;
    showDelete?: boolean;
    showValue?: boolean;
    subClass?: string;
    value?: number;
    valueColor?: 'default' | 'secondary' | 'primary';
    variant?: 'default' | 'outlined';
}
